var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import * as React from 'react';
import { EditingMode } from '../../enums';
import { getCellEditorDispatchHandler } from '../../Utils/CellUtils';
import CellEditorState from '../CellEditorState/CellEditorState';
var CellEditor = function (props) {
    var editor = props.column.editor, dispatch = props.dispatch, editingMode = props.editingMode;
    if (editor) {
        return editor(props);
    }
    if (editingMode === EditingMode.Cell) {
        var dispatchHandler = getCellEditorDispatchHandler(dispatch);
        return React.createElement(CellEditorState, __assign({}, props, { dispatch: dispatchHandler, autoFocus: true }));
    }
    return React.createElement(CellEditorState, __assign({}, props));
};
export default CellEditor;